Status: Closed   

Priority: Normal   

Category:    

Customer: DAIMLER Product Issue

Numbers:

 

Department: MBRDI Affected Products: ADTF Device Toolbox 2.7.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: DeviceTB::CANFD

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Do we have CAN-FD support in ADTF?

What are the major types & sub-types for CAN-FD ?

Does the device tool-box supports CAN-FD?

What is your plan for supporting CAN-FD?

As there are no difference in the dbc format for can and can-fd, does the exisitng cCANDatabase class (in ADTF 2.13.x) is capable of

loading a dbc containing can-fd messages and decode physical signal values from can message of length more than 8 bytes?

Lösung

Do we have CAN-FD support in ADTF?

Does the device tool-box supports CAN-FD?

What is your plan for supporting CAN-FD?

 There is no support for ADTF 2.x / Device TB 2.x at the moment.

It will be provided next year but only with ADTF 3.x / Device TB 3.x

What are the major types & sub-types for CAN-FD ?

 0x0200 / 0x0004

Please find the defintions in the attached file canfd_types.h

As there are no difference in the dbc format for can and can-fd, does the exisitng cCANDatabase class (in ADTF 2.13.x) is

capable of loading a dbc containing can-fd messages and decode physical signal values from can message of length more than

8 bytes?

 the CANDatabase Parser could handle the file because of same format as you mentioned.

But there will be invalid data.

As you can see if you compare the CAN and CAN-FD structures, the tCanData structure has only a data field array of 8 bytes, so the

values will not be interpretated correctly.

History

#1 - 2017-10-19 09:52 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::CANFD

- Affected Products ADTF Device Toolbox 2.7.0 added
- Platform Windows 7 64bit added

#2 - 2017-10-19 11:29 - hidden

- File canfd_types.h added

- Status changed from In Progress to Customer Feedback Required

Do we have CAN-FD support in ADTF?

Does the device tool-box supports CAN-FD?

What is your plan for supporting CAN-FD?

 There is no support for ADTF 2.x / Device TB 2.x at the moment.

It will be provided next year but only with ADTF 3.x / Device TB 3.x

What are the major types & sub-types for CAN-FD ?

 0x0200 / 0x0004

Please find the defintions in the attached file canfd_types.h

Please let me know if your question is solved and with can close this issue.

#3 - 2017-10-19 11:30 - hidden

- Support Level changed from 2nd Level to 3rd Level

#4 - 2017-10-24 10:53 - hidden

Thank you for your support.

An additional information is required.

As there are no difference in the dbc format for can and can-fd, does the exisitng cCANDatabase class (in ADTF 2.13.x) is capable of loading a dbc

containing can-fd messages and decode physical signal values from can message of length more than 8 bytes?

#5 - 2017-10-30 13:07 - hidden

Dear Murali,

the CANDatabase Parser could handle the file because of same format as you mentioned.

But there will be invalid data.

As you can see if you compare the CAN and CAN-FD structures, the tCanData structure has only a data field array of 8 bytes, so the values will not

be interpretated correctly.

#6 - 2017-11-03 13:21 - hidden

Hello Murali,

are there any questions left? This ticket seems to be solved.

Please give us a short feedback, so we can close this ticket on 06.11.2017.

#7 - 2017-11-08 15:43 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

#8 - 2017-11-08 15:43 - hidden

- Status changed from To Be Closed to Closed

#9 - 2018-01-25 11:55 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No
Files

canfd_types.h 14.4 KB 2017-10-19 hidden
